-- 28-09-2018 TRK
--
patch_id app_gis_setting_1100_180928

--******************************************************************************
-- Nye rkker i gis_item_type                                         28-09-2018
--******************************************************************************

if (select 'x' from gis_item_type where item_type = 'insp') is null
   insert into gis_item_type (item_type, item_type_name) values ('insp', 'Tilsyn');

--******************************************************************************
-- Ny tilsyns entitet                                                 28-09-2018
--******************************************************************************

-- Tilsyn
if (select 'x' from app_gis_setting where item_type = 'insp') is null
begin
  insert into app_gis_setting (item_type, api_entity_name, entity_alias, geometry_type, color_code, show_on_map, sort_order, created_by, modulecode, entity_max_count) values ('insp', 'Inspections', 'Tilsyn', 'point', '#8601AF', '1', 240, 'geokon', 'insp', 1000)

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'Id', 'Lok nr.', '0', '0', 1, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'Name', 'Navn', '1', '1', 2, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'Address', 'Adresse', '0', '0', 3, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'PostalCode', 'Postnr.', '0', '0', 4, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'PostalCodeName', 'By', '0', '0', 5, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'MunicipalityCode', 'Kommunenr.', '0', '0', 6, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'StreetCode', 'Vejkode', '0', '0', 7, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'StreetBuildingIdentifier', 'Husnr.', '0', '0', 8, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'LandParcelIdentifier', 'Matrikelnr.', '0', '0', 9, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'CadastralDistrictIdentifier', 'Landsejerlavskode', '0', '0', 10, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'CadastralDistrictName', 'Landsejerlav', '0', '0', 11, 'geokon')

  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'LocationType', 'Lokalitetstype', '0', '1', 12, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'InspectionTypeId', 'Tilsynskode', '0', '0', 13, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'InspectionTypeName', 'Tilsynsnavn', '0', '1', 14, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'PlanOfficerId', 'Planlagt af', '0', '1', 15, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'PeriodFromDate', 'Fra periode', '0', '0', 16, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'PeriodToDate', 'Til periode', '0', '0', 17, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'ActDate', 'Udfrt', '0', '1', 18, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'ActOfficerId', 'Udfrt af', '0', '1', 19, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'PhysicalInspection', 'Fysisk/Adm', '0', '0', 20, 'geokon')
  insert into app_gis_setting_detail (item_type, api_attribute_name, attribute_alias, show_label, show_on_map, sort_order, created_by) values ('insp', 'AgreedDate', 'Aftalt tilsynsdato', '0', '0', 21, 'geokon')
end;

--******************************************************************************
-- Opret tilsyns geometrier                                           02-10-2018
--******************************************************************************

-- Virksomheder - Opret geometrier til alle virksomheds tilsyn der ikke allerede eksisterer
insert into gis_geometry (item_seq_no, item_type, wkb_geometry, created, created_by)
select ind_inspec_real.insp_seq_no, 'insp', gis_geometry.wkb_geometry.STPointN(1), getdate(), 'geokon'
from ind_inspec_real
join site on site.site_seq_no = ind_inspec_real.site_seq_no
   and site.site_type_id in (select site_type_id from site_type where sys_type = 'virk')
join ind_industry on ind_industry.site_seq_no = site.site_seq_no
   and (select count(*) from ind_industry where site_seq_no = site.site_seq_no) = 1
join gis_geometry on gis_geometry.item_seq_no = ind_industry.ind_seq_no
   and gis_geometry.item_type = 'virk'
where ind_inspec_real.type = 't'
and not exists (select 'x' from gis_geometry where item_seq_no = ind_inspec_real.insp_seq_no and item_type = 'insp');

-- Landbrug - Opret geometrier til alle landbrugs tilsyn der ikke allerede eksisterer
insert into gis_geometry (item_seq_no, item_type, wkb_geometry, created, created_by)
select ind_inspec_real.insp_seq_no, 'insp', gis_geometry.wkb_geometry.STPointN(1), getdate(), 'geokon'
from ind_inspec_real
join site on site.site_seq_no = ind_inspec_real.site_seq_no
   and site.site_type_id in (select site_type_id from site_type where sys_type = 'agr')
join ind_industry on ind_industry.site_seq_no = site.site_seq_no
   and (select count(*) from ind_industry where site_seq_no = site.site_seq_no) = 1
join gis_geometry on gis_geometry.item_seq_no = ind_industry.ind_seq_no
   and gis_geometry.item_type = 'agr'
where ind_inspec_real.type = 't'
and not exists (select 'x' from gis_geometry where item_seq_no = ind_inspec_real.insp_seq_no and item_type = 'insp');

-- bent Land - Opret geometrier til alle bent land tilsyn der ikke allerede eksisterer
insert into gis_geometry (item_seq_no, item_type, wkb_geometry, created, created_by)
select ind_inspec_real.insp_seq_no, 'insp', gis_geometry.wkb_geometry.STPointN(1), getdate(), 'geokon'
from ind_inspec_real
join site on site.site_seq_no = ind_inspec_real.site_seq_no
   and site.site_type_id in (select site_type_id from site_type where sys_type = 'open')
join opc_status on opc_status.site_seq_no = site.site_seq_no
join gis_geometry on gis_geometry.item_seq_no = opc_status.site_seq_no
   and gis_geometry.item_type = 'open'
where ind_inspec_real.type = 't'
and not exists (select 'x' from gis_geometry where item_seq_no = ind_inspec_real.insp_seq_no and item_type = 'insp');

-- Vandindvinding - Opret geometrier til alle vandindvindings tilsyn der ikke allerede eksisterer
insert into gis_geometry (item_seq_no, item_type, wkb_geometry, created, created_by)
select ind_inspec_real.insp_seq_no, 'insp', gis_geometry.wkb_geometry.STPointN(1), getdate(), 'geokon'
from ind_inspec_real
join site on site.site_seq_no = ind_inspec_real.site_seq_no
   and site.site_type_id in (select site_type_id from site_type where sys_type = 'water')
join wcat_catchment_plant on wcat_catchment_plant.site_seq_no = site.site_seq_no
join gis_geometry on gis_geometry.item_seq_no = wcat_catchment_plant.cp_seq_no
   and gis_geometry.item_type = 'water'
where ind_inspec_real.type = 't'
and not exists (select 'x' from gis_geometry where item_seq_no = ind_inspec_real.insp_seq_no and item_type = 'insp');

-- Jordforurening - Opret geometrier til alle jordforurenings tilsyn der ikke allerede eksisterer
insert into gis_geometry (item_seq_no, item_type, wkb_geometry, created, created_by)
select ind_inspec_real.insp_seq_no, 'insp', gis_geometry.wkb_geometry.STPointN(1), getdate(), 'geokon'
from ind_inspec_real
join site on site.site_seq_no = ind_inspec_real.site_seq_no
   and site.site_type_id in (select site_type_id from site_type where sys_type = 'indu')
join gis_geometry on gis_geometry.item_seq_no = site.site_seq_no
   and gis_geometry.item_type = 'indu'
where ind_inspec_real.type = 't'
and not exists (select 'x' from gis_geometry where item_seq_no = ind_inspec_real.insp_seq_no and item_type = 'insp');

--******************************************************************************