-- 13-03-2019 ES

patch_id bm_1120_20190313

-- Indst sagstatustypen 'NySag' hvis den ikke allerede findes
if (select 'x' from bm_sagstatustype where kode = 'NySag') is null
   insert into bm_sagstatustype (kode, prioritet, interntnavn, visningnavn, statusart, created_by)
   values('NySag', '11', 'Ny sag  vsentlig ndring', 'Sagsbehandling starter forfra grundet vsentlig ndring i sagens karakter', 'Behandling', 'dbo');

-- Indst sagstatustypen 'SagsbehAfventer' hvis den ikke allerede findes
if (select 'x' from bm_sagstatustype where kode = 'SagsbehAfventer') is null
   insert into bm_sagstatustype (kode, prioritet, interntnavn, visningnavn, statusart, created_by)
   values('SagsbehAfventer', '9', 'Sagsbehandles  afventer oplysninger', 'Sagsbehandles  afventer oplysninger', 'Behandling', 'dbo');

-- Indst sagstatustypen 'UdtalelseTilMst' hvis den ikke allerede findes
if (select 'x' from bm_sagstatustype where kode = 'UdtalelseTilMst') is null
   insert into bm_sagstatustype (kode, prioritet, interntnavn, visningnavn, statusart, created_by)
   values('UdtalelseTilMst', '6', 'Udtalelse sendt til Miljstyrelsen', 'Udtalelse sendt til Miljstyrelsen', 'Behandling', 'dbo');

-- Indst sagstatuskoden 'NySag' hvis den ikke allerede findes i mapning mellem sagsstatus  sagsfase  initiativpligt
if (select 'x' from bm_status_fase_initiativ where sagstatuskode = 'NySag' and modultype = 'b') is null
   insert into bm_status_fase_initiativ (sagstatuskode, modultype, sagfasekode, initiativpligt, created_by)
   values('NySag', 'b', 'Afsluttet', 'Ansoeger', 'dbo');

-- Indst sagstatuskoden 'NySag' hvis den ikke allerede findes i mapning mellem sagsstatus  sagsfase  initiativpligt
if (select 'x' from bm_status_fase_initiativ where sagstatuskode = 'NySag' and modultype = 'm') is null
   insert into bm_status_fase_initiativ (sagstatuskode, modultype, sagfasekode, initiativpligt, created_by)
   values('NySag', 'm', 'Afsluttet', 'Ansoeger', 'dbo');

-- Indst sagstatuskoden 'SagsbehAfventer' hvis den ikke allerede findes i mapning mellem sagsstatus  sagsfase  initiativpligt
if (select 'x' from bm_status_fase_initiativ where sagstatuskode = 'SagsbehAfventer' and modultype = 'b') is null
   insert into bm_status_fase_initiativ (sagstatuskode, modultype, sagfasekode, initiativpligt, created_by)
   values('SagsbehAfventer', 'b', 'Behandling', 'Ansoeger', 'dbo');

-- Indst sagstatuskoden 'SagsbehAfventer' hvis den ikke allerede findes i mapning mellem sagsstatus  sagsfase  initiativpligt
if (select 'x' from bm_status_fase_initiativ where sagstatuskode = 'SagsbehAfventer' and modultype = 'm') is null
   insert into bm_status_fase_initiativ (sagstatuskode, modultype, sagfasekode, initiativpligt, created_by)
   values('SagsbehAfventer', 'm', 'Behandling', 'Ansoeger', 'dbo');

-- Indst sagstatuskoden 'UdtalelseTilMst' hvis den ikke allerede findes i mapning mellem sagsstatus  sagsfase  initiativpligt
if (select 'x' from bm_status_fase_initiativ where sagstatuskode = 'UdtalelseTilMst' and modultype = 'b') is null
   insert into bm_status_fase_initiativ (sagstatuskode, modultype, sagfasekode, initiativpligt, created_by)
   values('UdtalelseTilMst', 'b', 'Behandling', 'Myndighed', 'dbo');

-- Indst sagstatuskoden 'UdtalelseTilMst' hvis den ikke allerede findes i mapning mellem sagsstatus  sagsfase  initiativpligt
if (select 'x' from bm_status_fase_initiativ where sagstatuskode = 'UdtalelseTilMst' and modultype = 'm') is null
   insert into bm_status_fase_initiativ (sagstatuskode, modultype, sagfasekode, initiativpligt, created_by)
   values('UdtalelseTilMst', 'm', 'Behandling', 'Myndighed', 'dbo');
