-- 04-06-2019 TRK
-- Rettet den 16-08-2019 af TRK
--
-- Nye kolonner i app_settings - 11.5.0 - mss

patch_id esdhF2_1140_190604

--******************************************************************************
-- Nye kolonner i app_settings ESDHCore                               04-06-2019
--******************************************************************************

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'EsdhSystemName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'EsdhSystemName', 'D', 10, 'ESDH integration', 'Navn p ESDH system', 'Angiver hvilket ESDH system som GeoEnviron Service ESDH integrerer med (Default er F2)', NULL;

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'ESDH_SERVICE') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'ESDH_SERVICE', 'D', 20, 'ESDH integration', 'Url til ESDH web servicen', 'Url til ESDH web servicen (web service der udstilles af GeoEnviron Service ESDH)', NULL;

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'UpdateCredentialsIntervalDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'UpdateCredentialsIntervalDays', 'D', 50, 'ESDH integration', 'Tidsinterval for ESDH password opdatering', 'Tidsinterval imellem hver opdatering af webapi password for ESDH. Formatet er et heltal der angiver antal dage (Default 7, dvs. hvert syvende dgn)', '7';

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'UpdateCredentialsStartime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'UpdateCredentialsStartime', 'D', 51, 'ESDH integration', 'Starttidspkt. for ESDH password opdatering', 'Starttidspunkt for opdatering af webapi password for ESDH. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'CleanUpQueueLogInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'CleanUpQueueLogInterval', 'D', 80, 'ESDH integration', 'Tidsinterval for oprydning i server log', 'Tidsinterval imellem hver oprydning i server log (SFC_QueueLog). Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'CleanUpQueueLogStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'CleanUpQueueLogStartTime', 'D', 81, 'ESDH integration', 'Starttidspunkt for server log oprydning', 'Starttidspunkt for oprydning i server log (SFC_QueueLog). Format: tt:mm', '21:00';

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'CleanUpQueueLogRetentionDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'CleanUpQueueLogRetentionDays', 'D', 82, 'ESDH integration', 'Antal dages data der bevares i server log', 'Slet server log data som er ldre end antallet af dage', '30';

if (select 'x' from app_settings where app_section = 'ESDHCore' AND app_key = 'LoggingLevel') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHCore', 'LoggingLevel', 'D', 100, 'ESDH integration', 'Logging niveau', 'Logging niveau kan sttes til "info", "warning", "error" eller "verbose". Default er "info"', 'info';

--******************************************************************************
-- Nye kolonner i app_settings ESDHF2                                 16-08-2019
--******************************************************************************

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'F2ServiceUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'F2ServiceUrl', 'D', 10, 'ESDH integration F2', 'Url til F2 web servicen', 'Url til F2 web servicen', null;

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'F2OAuth2ClientId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'F2OAuth2ClientId', 'D', 11, 'ESDH integration F2', 'F2 OAuth2 Client id', 'F2 OAuth2 Client id', null;

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'F2OAuth2ClientSecret') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'F2OAuth2ClientSecret', 'D', 12, 'ESDH integration F2', 'F2 OAuth2 Client secret', 'F2 OAuth2 Client secret', null;

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'F2SystemUserName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'F2SystemUserName', 'D', 13, 'ESDH integration F2', 'F2 system bruger', 'F2 system bruger', null;


if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'FileDomainName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'FileDomainName', 'D', 20, 'ESDH integration F2', 'Fil-domne navn', 'Domne-navn for filer.', null;

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'FileDomainUserId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'FileDomainUserId', 'D', 21, 'ESDH integration F2', 'Fil-domne bruger-id', 'Bruger-id for logon til fil-domne.', null;

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'FileDomainPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'FileDomainPassword', 'D', 22, 'ESDH integration F2', 'Fil-domne adgangskode', 'Adgangskode for logon til fil-domne.', null;


if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'F2OrganizationNoVirk') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'F2OrganizationNoVirk', 'D', 30, 'ESDH integration F2', 'F2 organisationsid - VIRK', 'F2 organisationsid for Virksomhed', null;

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'F2OrganizationNoKi') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'F2OrganizationNoKi', 'D', 31, 'ESDH integration F2', 'F2 organisationsid - KI', 'F2 organisationsid for KemikalieInspektion', null;


if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'BasedataImportInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'BasedataImportInterval', 'D', 60, 'ESDH integration F2', 'Synk. af stamdata - krselsinterval', 'Tidsinterval imellem hver synk. af stamdata. Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'BasedataImportStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'BasedataImportStartTime', 'D', 61, 'ESDH integration F2', 'Synk. af stamdata - starttidspunkt', 'Starttidspunkt for frste synk. af stamdata. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'CasefilesUpdateInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'CasefilesUpdateInterval', 'D', 62, 'ESDH integration F2', 'Opdatering af sager - krselsinterval', 'Tidsinterval imellem hver opdatering af sager. Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'ESDHF2' AND app_key = 'CasefilesUpdateStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHF2', 'CasefilesUpdateStartTime', 'D', 63, 'ESDH integration F2', 'Opdatering af sager - starttidspunkt', 'Starttidspunkt for frste opdatering af sager. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

--******************************************************************************