-- 07.10.2019 JW
-- Sagshistorik på sager der ændres.

patch_id bm_CaseHistory_1160

if exists (select 1 from sysobjects
  where id = object_id('bm_CaseHistory') and type = 'u')
   EXEC sp_rename 'dbo.bm_CaseHistory', 'csm_case_history';

if (select col_length('csm_case_history','ExternalData1')) is null 
   EXEC sp_rename 'dbo.csm_case_history.BOMSagID', 'ExternalData1', 'COLUMN';

if (select col_length('csm_case_history','ExternalData2')) is null 
   EXEC sp_rename 'dbo.csm_case_history.IndsendelseID', 'ExternalData2', 'COLUMN';

if (select col_length('csm_case_history','Context')) is null 
   alter table csm_case_history add Context varchar(10) null;

update csm_case_history set Context = 'BOM' where Context is null;

alter table csm_case_history alter column task_seq_no numeric(9,0) null;
alter table csm_case_history alter column ExternalData1 varchar(50) null;
alter table csm_case_history alter column ExternalData2 varchar(50) null;
alter table csm_case_history alter column ChangedFromValue varchar(200) null;
alter table csm_case_history alter column ChangedToValue varchar(200) null;
alter table csm_case_history alter column DataObjectField varchar(50) null;
alter table csm_case_history alter column CommentsPublic varchar(200) not null;
alter table csm_case_history alter column Context varchar(10) not null;

If IndexProperty(Object_Id('csm_case_history'), 'IX_csm_case_history_task_seq_no', 'IndexId') Is Null
   CREATE NONCLUSTERED INDEX [IX_csm_case_history_task_seq_no] ON [dbo].[csm_case_history]
   (
	[task_seq_no] ASC
   )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

If IndexProperty(Object_Id('csm_case_history'), 'IX_csm_case_history_ExternalData1', 'IndexId') Is Null
   CREATE NONCLUSTERED INDEX [IX_csm_case_history_ExternalData1] ON [dbo].[csm_case_history]
   (
	[ExternalData1] ASC
   )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];

If IndexProperty(Object_Id('csm_case_history'), 'IX_csm_case_history_ExternalData2', 'IndexId') Is Null
   CREATE NONCLUSTERED INDEX [IX_csm_case_history_ExternalData2] ON [dbo].[csm_case_history]
   (
	[ExternalData2] ASC
   )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY];
