patch_id create_actioncode_09092018

/*==============================================================*/
/* Table: csm_actioncode                                            */
/*==============================================================*/
create table dbo.csm_actioncode (
   actioncodeid		varchar(20)		       not null,
   actioncodename	varchar(100)		       not null,
   actioncodename_short	varchar(30)		       null,
   active		varchar(1)		       null default '1',
   visible		varchar(1)		       null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   constraint PK_CSM_ACTIONCODE primary key clustered (actioncodeid)
);

grant SELECT on csm_actioncode to INSP_USER;

grant SELECT on csm_actioncode to KI_USER;

grant SELECT, INSERT, UPDATE, DELETE ON csm_actioncode TO SYSMGR;

