patch_id create_journalplancode_09092018

/*==============================================================*/
/* Table: csm_journalplancode                                            */
/*==============================================================*/
create table dbo.csm_journalplancode (
   plancodeid		varchar(30)		       not null,
   plancodename		varchar(100)		       not null,
   plancodename_short	varchar(30)		       null,
   active		varchar(1)		       null default '1',
   visible		varchar(1)		       null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   constraint PK_CSM_JOURNALPLANCODE primary key clustered (plancodeid)
);

grant SELECT on csm_journalplancode to INSP_USER;

grant SELECT on csm_journalplancode to KI_USER;

grant SELECT, INSERT, UPDATE, DELETE ON csm_journalplancode TO sysmgr;

