patch_id create_kryds_11102019

CREATE TABLE dbo.ki_leg_x_subject (
 	subject varchar(60) NOT NULL, 
 	legislation varchar(6) NOT NULL, 
 	active varchar(1) NULL,
 	created datetime NULL DEFAULT CURRENT_TIMESTAMP,
 	created_by varchar(6) NULL DEFAULT USER,
 	changed datetime NULL,
 	changed_by varchar(6) NULL,
CONSTRAINT PK_KI_LEG_X_SUBJECT PRIMARY KEY (subject, legislation), 
CONSTRAINT FK_KI_LEG_X_SUBJECT_CSM_SUBJECTCODE FOREIGN KEY (subject) REFERENCES csm_subjectcode ON DELETE CASCADE , 
CONSTRAINT FK_KI_LEG_X_SUBJECT_KI_LEGISLATION FOREIGN KEY (legislation) REFERENCES ki_legislation ON DELETE CASCADE) ;

grant select on ki_leg_x_subject to ki_user;

grant select, delete, update, insert on ki_leg_x_subject to sysmgr  ;
