patch_id alter_deponi

if (select col_length('deponi_sampling_place_ap','c_from_date')) is null 
ALTER TABLE deponi_sampling_place_ap
	ADD c_from_date AS coalesce (from_date,'2000-01-01')
go

if (select col_length('deponi_sampling_place_ap','c_to_date')) is null 
ALTER TABLE deponi_sampling_place_ap
	ADD c_to_date AS coalesce (to_date,'2999-12-31')
go

if (select col_length('deponi_max_value','comments')) is null 
alter table deponi_max_value add comments varchar(max) null
go

if (select col_length('sampling_place','filterid')) is null 
   alter table sampling_place
	add filterid numeric(9,0) 
go

if(object_id('fk_sampling_place_bor_filter', 'f') is null)
alter table sampling_place
  add constraint fk_sampling_place_bor_filter foreign key (filterid) references bor_filter (filterid) on delete cascade
go

if (select col_length('samples','filterid')) is not null 
   alter table samples
	drop column filterid
go

if (select col_length('deponi_analysis_program','version')) is null 
   alter table deponi_analysis_program
	add version int null
	,active char(1) not null default '1'		 
go

if (select col_length('deponi_sampling_place','all_low')) is null 
   alter table deponi_sampling_place
	add all_low char(1) null
	,all_middle char(1) null 
 	,all_high char(1) null 
go

if (select col_length('deponi','ownership')) is null 
	alter table deponi add ownership varchar(1) null
go

if (select col_length('deponi_unit','membrane_demands')) is null 
	alter table deponi_unit add membrane_demands varchar(1) null
go

