patch_id sampling_place_24022020

if (select col_length('sampling_place','zcoord')) is null
alter table sampling_place
  add zcoord float null
go

if (select col_length('sampling_place','zcoord_qual_method')) is null
alter table sampling_place
  add zcoord_qual_method varchar(6) null
go

if (select col_length('sampling_place','zcoord_qual')) is null
alter table sampling_place
  add zcoord_qual varchar(6) null
go

if(object_id('fk_sampling_place_qual_method', 'f') is null)
alter table sampling_place
   add constraint fk_sampling_place_qual_method foreign key (zcoord_qual_method)
      references map_coord_qual_method (coord_qual_method)
go

if(object_id('fk_sampling_place_qual', 'f') is null)
alter table sampling_place
   add constraint fk_sampling_place_qual foreign key (zcoord_qual)
      references map_coord_qual (coord_qual)
go