-- 24-09-2020 JW
--
-- Nye kolonner i bbr_building_unit - 12.5.0

patch_id bbrgd_1250_240920

-- Tilfj nye felter og constraint i bbr_building_unit

if (select col_length('bbr_building_unit','bbrbuildingid')) is null 
alter table bbr_building_unit
   add bbrbuildingid uniqueidentifier null;


if (select col_length('bbr_building_unit','unit_address')) is null 
alter table bbr_building_unit
   add unit_address varchar(100) null;

if (select col_length('bbr_building_unit','unit_postal_code_id')) is null 
alter table bbr_building_unit
   add unit_postal_code_id varchar(8) null;
   


IF(OBJECT_ID('fk_bbr_building_unit_bbr_building', 'F') IS NOT NULL) 
  alter table bbr_building_unit drop constraint fk_bbr_building_unit_bbr_building

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_bbr_building foreign key (bbrbuildingid)
  references bbr_building (bbrbuildingid);

IF(OBJECT_ID('fk_bbr_building_unit_postal_codes', 'F') IS NOT NULL) 
  alter table bbr_building_unit drop constraint fk_bbr_building_unit_postal_codes

alter table bbr_building_unit
  add constraint fk_bbr_building_unit_postal_codes foreign key (unit_postal_code_id)
  references postal_codes (postal_codes_id);
