patch_id Update_bor_permission_step2_10022021

update wcat_bor_permission
set SITE_SEQ_NO = tt.site_seq_no
from wcat_bor_permission 
join (select count(0) as c_count , bor_site_connection.BORING_SEQ_NO, max(bor_site_connection.site_seq_no) as site_seq_no  
	from bor_site_connection where bor_site_connection.intakeplantid_jup is not null group by bor_site_connection.BORING_SEQ_NO) as tt
on tt.BORING_SEQ_NO = wcat_bor_permission.BORING_SEQ_NO
where  tt.c_count = 1 
and wcat_bor_permission.REPORT_MODE_JUP = '1'
and  wcat_bor_permission.SITE_SEQ_NO is null;

update wcat_bor_permission
set SITE_SEQ_NO = bor_site_connection.site_seq_no
from wcat_bor_permission 
join bor_site_connection
on wcat_bor_permission.PERM_DATE between bor_site_connection.start_date and   IsNull(bor_site_connection.end_date, '2060-01-02')
and bor_site_connection.active_jup = 1 
and bor_site_connection.intakeplantid_jup is not null
and  wcat_bor_permission.BORING_SEQ_NO = bor_site_connection.BORING_SEQ_NO
where wcat_bor_permission.REPORT_MODE_JUP = '1'
and  wcat_bor_permission.SITE_SEQ_NO is null;

update wcat_bor_permission
set SITE_SEQ_NO = bor_site_connection.site_seq_no
from wcat_bor_permission 
join bor_site_connection
on 
Isnull(wcat_bor_permission.expire_date, '2060-01-01') <= IsNull(bor_site_connection.end_date, '2060-01-02')
and Isnull(wcat_bor_permission.expire_date, '2060-01-01' ) >= IsNull(bor_site_connection.start_date, '1950-01-02')
and bor_site_connection.active_jup = 1 
and bor_site_connection.intakeplantid_jup is not null
and  wcat_bor_permission.BORING_SEQ_NO = bor_site_connection.BORING_SEQ_NO
where wcat_bor_permission.REPORT_MODE_JUP = '1'
and  wcat_bor_permission.SITE_SEQ_NO is null;

update wcat_bor_permission
set SITE_SEQ_NO = BOR_BORINGS.site_seq_no
from wcat_bor_permission 
join BOR_BORINGS
on BOR_BORINGS.BORING_SEQ_NO = wcat_bor_permission.BORING_SEQ_NO
where wcat_bor_permission.REPORT_MODE_JUP = '1'
and  wcat_bor_permission.SITE_SEQ_NO is null
and  BOR_BORINGS.site_seq_no is not null;

