-- 04-10-2018 ES
--
patch_id dma_1100_181004

-- Mellemstore fyringsanlg - MCP

-- Indfr ny VL-kode 'VL00000500' hvis den ikke allerede findes
if (select 'x' from dma_listepunkt where Id = 'VL00000500') is null
   insert into dma_listepunkt (Id, Navn, Beskrivelse, Aktiv, created_by) values ('VL00000500', 'Mellemstore fyringsanlg', 'Et mellemstort fyringsanlg har en nominel indfyret termisk effekt strre end eller lig med 1 MW og mindre end 50 MW, uanset brndselstypen', '1', 'geokon');

-- Indst hovedaktiviteten 'MCP' hvis den ikke allerede findes
if (select 'x' from ind_indtypes where ind_type_id = 'MCP') is null
   insert into ind_indtypes (ind_type_id, ind_type_name, mst_type_id, ind_type_descrip, systype, created_by, report_as, liable_to_pay, ippc_type, active, category)
   values('MCP', 'Mellemstore fyringsanlg', 'MCP', 'Et mellemstort fyringsanlg har en nominel indfyret termisk effekt strre end eller lig med 1 MW og mindre end 50 MW, uanset brndselstypen', 'bilag1', 'geokon', '0', '1', '0', '1', '2');

-- St hovedaktiviteten 'MCP' aktiv og referer til ny VL-kode
update ind_indtypes set active = '1', dma_listepunkt_id = 'VL00000500' where ind_type_id = 'MCP';