--******************************************************************************
-- Table: wcat_kpv_comment
--******************************************************************************
patch_id kpv_comment_24102018

create table dbo.wcat_kpv_comment (
	kpvcomm_seq_no		numeric(9,0) NOT NULL 
	,kpv_seq_no			numeric(9,0) NOT NULL 
	,sortno				int not null
	,title				varchar(200) NULL 
	,comment			varchar(max)
	,created			datetime NULL DEFAULT CURRENT_TIMESTAMP 
	,created_by			varchar(6) NULL DEFAULT USER 
	,changed			datetime NULL 
	,changed_by			varchar(6) NULL 

   constraint pk_wcat_kpv_coment primary key (kpvcomm_seq_no)
);
grant select on wcat_kpv_comment to public;
grant select, update, delete, insert on wcat_kpv_kpr to sysmgr, wcat_user;

alter table wcat_kpv_comment
  add constraint fk_wcat_kpv_comment_kpv foreign key (kpv_seq_no)
  references wcat_kpv (kpv_seq_no);

if (select 'x' from increment where table_name = 'wcat_kpv_comment') is null
  insert into increment (table_name, column_name, last_used) values ('wcat_kpv_comment', 'kpvcomm_seq_no', 100000);
