-- 05-12-2018 TRK
--
-- Nye rkker i app_settings og programsetup - 11.1.0 - mss

patch_id core_1110_181205

--******************************************************************************
-- Nye rkker i app_settings                                          05-12-2018
--******************************************************************************

if (select 'x' from app_settings where app_section = 'CORE' AND app_key = 'CORE_SERVICE') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'CORE', 'CORE_SERVICE', 'D', 20, 'GE Service Core', 'Url til Core web servicen', 'Url til Core web servicen (web service der udstilles af GeoEnviron Service Core)', NULL;

if (select 'x' from app_settings where app_section = 'CORE' AND app_key = 'UpdateCredentialsIntervalDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   values ('CORE', 'UpdateCredentialsIntervalDays', 'D', 50, 'GE Service Core', 'Tidsinterval for Core password opdatering', 'Tidsinterval imellem hver opdatering af webapi password for Core. Formatet er et heltal der angiver antal dage (Default 7, dvs. hvert syvende dgn)', '7');

if (select 'x' from app_settings where app_section = 'CORE' AND app_key = 'UpdateCredentialsStartime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   values ('CORE', 'UpdateCredentialsStartime', 'D', 51, 'GE Service Core', 'Starttidspkt. for Core password opdatering', 'Starttidspunkt for opdatering af webapi password for Core. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00');

if (select 'x' from app_settings where app_section = 'CORE' AND app_key = 'CleanUpQueueLogInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'CORE', 'CleanUpQueueLogInterval', 'D', 80, 'GE Service Core', 'Tidsinterval for oprydning i server log', 'Tidsinterval imellem hver oprydning i server log (SFC_QueueLog). Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'CORE' AND app_key = 'CleanUpQueueLogStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'CORE', 'CleanUpQueueLogStartTime', 'D', 81, 'GE Service Core', 'Starttidspunkt for server log oprydning', 'Starttidspunkt for oprydning i server log (SFC_QueueLog). Format: tt:mm', '21:00';

if (select 'x' from app_settings where app_section = 'CORE' AND app_key = 'CleanUpQueueLogRetentionDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'CORE', 'CleanUpQueueLogRetentionDays', 'D', 82, 'GE Service Core', 'Antal dages data der bevares i server log', 'Slet server log data som er ldre end antallet af dage', '30';

if (select 'x' from app_settings where app_section = 'CORE' AND app_key = 'LoggingLevel') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'CORE', 'LoggingLevel', 'D', 100, 'GE Service Core', 'Logging niveau', 'Logging niveau kan sttes til "info", "warning", "error" eller "verbose". Default er "info"', 'info';

--******************************************************************************
-- Nye rkker i programsetup                                          05-12-2018
--******************************************************************************

if (select 'x' from programsetup where parm = 'core_api_username') is null
   insert into programsetup (parm, value, comments, created_by)
   values ('core_api_username', 'geokon', 'Username for api used in Core', 'geokon');

if (select 'x' from programsetup where parm = 'core_api_password') is null
   insert into programsetup (parm, value, comments, created_by)
   values ('core_api_password', 'init', 'Password for api used in Core', 'geokon');

--******************************************************************************
-- Ny rkke i geo_ext_appl                                            09-01-2019
--******************************************************************************

if (select 'x' from geo_ext_appl where appl_id = 'srv_Core') is null
   insert into geo_ext_appl (appl_id, type_id, appl_name, created_by)
   values ('srv_Core', 'vs_srv', 'GeoEnviron server Core', 'geokon');

--******************************************************************************