-- 01-03-2019 TRK
--
-- Nye kolonner i app_settings - 11.3.0 - mss

patch_id app_settings_1130_190301

--******************************************************************************
-- Nye kolonner i app_settings                                        01-03-2019
--******************************************************************************

if (select 'x' from app_settings where app_section = 'JUPITER' AND app_key = 'dmpUsername') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'JUPITER', 'dmpUsername', 'D', 21, 'Jupiter integration', 'Bruger-id til Jupiter', 'Bruger-id til Jupiter', NULL;

if (select 'x' from app_settings where app_section = 'JUPITER' AND app_key = 'dmpPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'JUPITER', 'dmpPassword', 'D', 22, 'Jupiter integration', 'Adgangskode til Jupiter', 'Adgangskode til Jupiter', NULL;

if (select 'x' from app_settings where app_section = 'JUPITER' AND app_key = 'XLServiceAddress') is null
   insert into app_settings (app_section, app_key, app_value, app_search, app_descript, app_user_section, app_user_key, app_sort)
   values ('JUPITER', 'XLServiceAddress', 'http://data.geus.dk/miljoeportal.pcjupiterxl.1.0/PCJupiterXL', 'D', 'Url til PCJupiterXL web servicen', 'Jupiter integration', 'Url til PCJupiterXL web servicen', 41);

if (select 'x' from app_settings where app_section = 'JUPITER' AND app_key = 'XLServiceIdentity') is null
   insert into app_settings (app_section, app_key, app_value, app_search, app_descript, app_user_section, app_user_key, app_sort)
   values ('JUPITER', 'XLServiceIdentity', 'geuswebs-encryption', 'D', 'Dns identitet p PCJupiterXL web servicen', 'Jupiter integration', 'Dns identitet p PCJupiterXL web servicen', 42);

if (select 'x' from app_settings where app_section = 'JUPITER' AND app_key = 'XLCertificateSerialNr') is null
   insert into app_settings (app_section, app_key, app_value, app_search, app_descript, app_user_section, app_user_key, app_sort)
   values ('JUPITER', 'XLCertificateSerialNr', '378fa909', 'D', 'Serienummer p det certifikat der skal anvendes til kommunikationen med PCJupiterXL web servicen', 'Jupiter integration', 'Serienummer p PCJupiterXL certifikat', 43);

--******************************************************************************