patch_id f_first_date_in_week_20190912

IF object_id('dbo.f_first_date_in_week', 'FN') IS NOT NULL
BEGIN
    DROP FUNCTION dbo.f_first_date_in_week
END;

CREATE function dbo.f_first_date_in_week (
	@week_no char(6))
returns date
begin
  declare @ret date, @week int, @days int, @day1 int, @adjust int;
  set @week = convert(int, substring(@week_no,5,2));
  set @days = ((@week - 1) * 7) + 1;
  set @day1 = datepart(dw,substring(@week_no,1,4) +'-01-01') - 1;
  if @day1 <= 4
	
	set @adjust = @day1 * -1;
  
	else
	
	set @adjust = 7 - @day1;
  set @ret = (
		select dateadd(dd, @days + @adjust ,substring(@week_no,1,4) +'-01-01'));
  return(@ret);
end;