patch_id create_subjectcode_09092018

/*==============================================================*/
/* Table: csm_subjectcode                                            */
/*==============================================================*/
create table dbo.csm_subjectcode (
   subjectcode		varchar(60)		       not null,
   subjectcodetext	varchar(500)		       null,
   active		varchar(1)		       null default '1',
   visible		varchar(1)		       null,
   created              datetime                       null default current_timestamp,
   created_by           varchar(6)                     null default current_user,
   changed              datetime                       null,
   changed_by           varchar(6)                     null,
   constraint PK_CSM_SUBJECTCODE primary key clustered (subjectcode)
);

grant SELECT on csm_subjectcode to INSP_USER;

grant SELECT on csm_subjectcode to KI_USER;

grant SELECT, INSERT, UPDATE, DELETE ON csm_subjectcode TO SYSMGR;

