-- 15-10-2019 TRK
--
-- Nye kolonner i app_settings - 11.6.0 - mss

patch_id esdhSBSIP_1160_191015

--******************************************************************************
-- Nye kolonner i app_settings ESDHSBSIP                              15-10-2019
--******************************************************************************

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'FileDomainName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'FileDomainName', 'D', 20, 'ESDH integration SBSIP', 'Fil-domne navn', 'Domne-navn for filer.', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'FileDomainUserId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'FileDomainUserId', 'D', 21, 'ESDH integration SBSIP', 'Fil-domne bruger-id', 'Bruger-id for logon til fil-domne.', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'FileDomainPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'FileDomainPassword', 'D', 22, 'ESDH integration SBSIP', 'Fil-domne adgangskode', 'Adgangskode for logon til fil-domne.', null;


if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'BasedataImportInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'BasedataImportInterval', 'D', 60, 'ESDH integration SBSIP', 'Synk. af stamdata - krselsinterval', 'Tidsinterval imellem hver synk. af stamdata. Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'BasedataImportStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'BasedataImportStartTime', 'D', 61, 'ESDH integration SBSIP', 'Synk. af stamdata - starttidspunkt', 'Starttidspunkt for frste synk. af stamdata. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'CasefilesUpdateInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'CasefilesUpdateInterval', 'D', 62, 'ESDH integration SBSIP', 'Opdatering af sager - krselsinterval', 'Tidsinterval imellem hver opdatering af sager. Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'CasefilesUpdateStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'CasefilesUpdateStartTime', 'D', 63, 'ESDH integration SBSIP', 'Opdatering af sager - starttidspunkt', 'Starttidspunkt for frste opdatering af sager. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

--******************************************************************************