-- 27-01-2020 JW
--
-- Nye rkker i app_settings - 12.1.0 JW

patch_id app_settings_bbrgd_lifa_deponi_270120

--********************************************************************************
-- Ny rkke med info vdr. LIFA BBR service, service URL
--********************************************************************************
if (select 'x' from app_settings where app_section = 'BBRGD' AND app_key = 'ServiceLIFAUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'BBRGD', 'ServiceLIFAUrl', 'D', 70, 'BBRGD integration', 'Url til LIFA Servicen', 'Url til LIFA Servicen', null;

--************************************************************************************
-- Ny rkke med info vdr. LIFA BBR service, bruger id (er null da den ikke altid er ndvendig)
--************************************************************************************
if (select 'x' from app_settings where app_section = 'BBRGD' AND app_key = 'ServiceLIFAUserId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'BBRGD', 'ServiceLIFAUserId', 'D', 71, 'BBRGD integration', 'Brugerid til LIFA Servicen', 'Brugerid til LIFA Servicen', null;


--************************************************************************************
-- Ny rkke med info vdr. LIFA BBR service, kodeord (er null da den ikke altid er ndvendig)
--************************************************************************************
if (select 'x' from app_settings where app_section = 'BBRGD' AND app_key = 'ServiceLIFAPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'BBRGD', 'ServiceLIFAPassword', 'D', 72, 'BBRGD integration', 'Password til LIFA Servicen', 'Password til LIFA Servicen', null;
