-- 04-02-2020 JW
--
-- Oprettelse af SAML tabeller - 12.1.0

patch_id saml_tables_1210_2002045

if not exists (select 1 from sysobjects
  where id = object_id('SAML_SessionProperties') and type = 'u')
CREATE TABLE [dbo].[SAML_SessionProperties](
    [SessionId] [uniqueidentifier] NOT NULL,
    [Key] [nvarchar](100) NOT NULL,
    [ValueType] [nvarchar](500) NULL,
    [Value] [nvarchar](max) NULL,
    [ExpiresAtUtc] [datetime] NULL,
 CONSTRAINT [PK_SAML_SessionProperties] PRIMARY KEY CLUSTERED 
(
    [SessionId] ASC,
    [Key] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

if not exists (select 1 from sysobjects
  where id = object_id('SAML_UserAssociations') and type = 'u')
CREATE TABLE [dbo].[SAML_UserAssociations](
    [SessionId] [uniqueidentifier] NOT NULL,
    [UserId] [nvarchar](300) NOT NULL,
 CONSTRAINT [PK_SAML_UserAssociations] PRIMARY KEY CLUSTERED 
(
    [SessionId] ASC,
    [UserId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
