-- 29-06-2020 TRK
--
-- Nye kolonner i deponi og sampling_place tabellerne - 12.3.0 - mss

patch_id jup_1230_200629

--******************************************************************************
-- Nye kolonner p deponi                                             29-06-2020
--******************************************************************************

if (select col_length('deponi','reg_date_jup')) is null
   alter table deponi add reg_date_jup datetime null;

if (select col_length('deponi','reg_jup')) is null
   alter table deponi add reg_jup varchar(1) null;

alter table deponi
  alter column message_jup varchar(500) null;

--******************************************************************************
-- Nye kolonner p sampling_place                                     30-06-2020
--******************************************************************************

if (select col_length('sampling_place','description')) is null
   alter table sampling_place add description varchar(100) null;

if (select col_length('sampling_place','address')) is null
   alter table sampling_place add address varchar(60) null;

if (select col_length('sampling_place','postal_codes_id')) is null
   alter table sampling_place add postal_codes_id varchar(8) null;

if (select col_length('sampling_place','jup_measuringstationid')) is null
   alter table sampling_place add jup_measuringstationid int null;

if (select col_length('sampling_place','jup_message')) is null
   alter table sampling_place add jup_message varchar(500) null;

if (select col_length('sampling_place','reg_date_jup')) is null
   alter table sampling_place add reg_date_jup datetime null;

if (select col_length('sampling_place','reg_jup')) is null
   alter table sampling_place add reg_jup varchar(1) null;

drop_foreign_key on sampling_place postal_codes;

alter table sampling_place
  add constraint fk_sampling_place_postal_codes foreign key (postal_codes_id)
  references postal_codes (postal_codes_id);

--******************************************************************************