patch_id new_sf_function_21092020

if object_id('dma_error') IS NOT NULL
Begin
DROP FUNCTION [geokon].[dma_error]
end ;


Create function geokon.dma_error (
    @SITE_SEQ_NO numeric(9,0) ) 
returns int
as
begin 
return ( Select IsNull(sum ( isnull(c_a,0) + IsNull(c_b,0) + IsNull(c_c,0) + IsNull(c_d,0) ),0)  as c_count 
from IND_INDUSTRY
left join ( select  1 as c_a , dma_indlaesning.ind_seq_no from  dma_indlaesning join IND_INDUSTRY 
			 on IND_INDUSTRY.IND_SEQ_NO = dma_indlaesning.ind_seq_no
			 where dma_indlaesning.dma_status in ( '1','a', '3') ) as tt
on tt.ind_seq_no = IND_INDUSTRY.IND_SEQ_NO
left join ( Select 10 as c_b ,dma_indlaesningsid , IND_INSPEC_REAL.SITE_SEQ_NO from dma_indlaesning join IND_INSPEC_REAL
			on dma_indlaesning.insp_seq_no = IND_INSPEC_REAL.INSP_SEQ_NO
			 where dma_indlaesning.dma_status in ( '1','a', '3') ) as yy
on yy.SITE_SEQ_NO = IND_INDUSTRY.SITE_SEQ_NO
left join ( select 20 as c_c, dma_indlaesningsid ,ind_decision.ind_seq_no  from dma_indlaesning join ind_decision
			on ind_decision.decis_seq_no = dma_indlaesning.decis_seq_no
			 where dma_indlaesning.dma_status in ( '1','a', '3') ) as uu
on uu.ind_seq_no = IND_INDUSTRY.IND_SEQ_NO
left join ( select 30 as c_d , dma_indlaesningsid ,ind_enforce.SITE_SEQ_NO  from dma_indlaesning join  ind_enforce
			on ind_enforce.ENFORCE_SEQ_NO = dma_indlaesning.enforce_seq_no
			 where dma_indlaesning.dma_status in ( '1','a', '3') ) as ii
on ii.SITE_SEQ_NO  =  IND_INDUSTRY.SITE_SEQ_NO
where IND_INDUSTRY.SITE_SEQ_NO =  @SITE_SEQ_NO
group by IND_INDUSTRY.SITE_SEQ_NO
having sum ( isnull(c_a,0) + IsNull(c_b,0) + IsNull(c_c,0) + IsNull(c_d,0) ) > 0 )

END;

grant execute on geokon.dma_error to public;