patch_id yearreport_new_columns_25022021
  
 if not exists (select 1 from sysobjects
 where id = object_id('yearreport_table_setup2') and type = 'U')
 CREATE TABLE dbo.yearreport_table_setup2(
	yearreport_table_setup_id int IDENTITY(1,1) NOT NULL,
	title varchar(120) NOT NULL,
	across varchar(30) NULL,
	down varchar(30) NULL,
	filtersted varchar(250) NULL,
	filtertype varchar(250) NULL,
	from_date datetime NULL,
	to_date datetime NULL,
	created datetime NULL,
	created_by varchar(6) NULL,
	changed datetime NULL,
	changed_by varchar(6) NULL,
	samlet_perkolat char(1) NOT NULL,
	primary key (yearreport_table_setup_id)
);
	
grant update,insert,delete on yearreport_table_setup2 to public;

if not exists (select 1 from sysobjects
    where id = object_id('DF__yearrepor__creat__610B4775') and type = 'D')
ALTER TABLE dbo.yearreport_table_setup2 ADD  CONSTRAINT DF__yearrepor__creat__610B4775  DEFAULT (getdate()) FOR created;


if not exists (select 1 from sysobjects
    where id = object_id('DF__yearrepor__creat__61FF6BAE') and type = 'D')
ALTER TABLE dbo.yearreport_table_setup2 ADD  CONSTRAINT DF__yearrepor__creat__61FF6BAE  DEFAULT (user_name()) FOR created_by;


if not exists (select 1 from sysobjects
    where id = object_id('DF__yearrepor__samle__62F38FE7') and type = 'D')
ALTER TABLE dbo.yearreport_table_setup2 ADD  CONSTRAINT DF__yearrepor__samle__62F38FE7  DEFAULT ('n') FOR samlet_perkolat;



if (select col_length('yearreport_paragraph','fn_yearreport_table_setup2')) is null  
alter table yearreport_paragraph
	add fn_yearreport_table_setup2 [int] NULL;
	
	
if (select col_length('yearreport','id_seq_id')) is null  
alter table yearreport
	add id_seq_id [numeric](9, 0) NULL;
	
	
drop_foreign_key on yearreport_paragraph yearreport_table_setup2;
alter table yearreport_paragraph
  add constraint FK_yearreport_paragraph_yearreport_table_setup2 foreign key (fn_yearreport_table_setup2)
  references yearreport_table_setup2 (yearreport_table_setup_id)
  ON DELETE CASCADE;
  
  
 drop_foreign_key on yearreport_paragraph yearreport_graph_parameter2;
alter table yearreport_paragraph
  add constraint FK_yearreport_paragraph_yearreport_graph_parameter2 foreign key (fn_yearreport_graph_parameter2)
  references yearreport_graph_parameter2 (id_yearreport_graph_parameter2)
  ON DELETE CASCADE;


drop_foreign_key on yearreport_graph_parameter2_detail yearreport_graph_parameter2;
ALTER TABLE yearreport_graph_parameter2_detail
add constraint FK_yearreport_graph_parameter2_detail_yearreport_graph_parameter2 foreign key (id_yearreport_graph_parameter2)
  references yearreport_graph_parameter2 (id_yearreport_graph_parameter2)
  ON DELETE CASCADE;
  

delete yearreport_graph_parameter2
from yearreport_graph_parameter2
left join yearreport_paragraph
on yearreport_paragraph.fn_yearreport_graph_parameter2 = yearreport_graph_parameter2.id_yearreport_graph_parameter2
where yearreport_paragraph.fn_yearreport_graph_parameter2 is null;

